<template>
  <el-dialog
    :title="dialogStatus==='add'?'新增填报':''"
    :visible.sync="dialogVisible"
    :modal-append-to-body="false"
    :close-on-click-modal="false"
    width="50%"
    :before-close="handleClose"
  >
    <el-form ref="dataForm" :model="dataForm"  :rules="rules" label-position="right" label-width="150px" style="padding-right: 50px" element-loading-text="保存中...">
      <el-form-item label="身份证号:" prop="idCard">
        <el-input v-model.trim="dataForm.idCard"/>
      </el-form-item>
      <el-form-item label="IC卡编号:" prop="iCCard">
        <el-input v-model.trim="dataForm.iCCard"/>
      </el-form-item>
      <el-form-item label="电子证号:" prop="remark">
        <el-input v-model.trim="dataForm.remark"/>
      </el-form-item>
      <el-form-item label="姓名:" prop="remark">
        <el-input v-model.trim="dataForm.remark"/>
      </el-form-item>
      <el-form-item label="所属单位:" prop="remark">
        <el-input v-model.trim="dataForm.remark"/>
      </el-form-item>
      <el-form-item label="操作类型:" prop="remark">
        <el-cascader
          v-model="value"
          :options="options"
          @change="handleChange">
        </el-cascader>
      </el-form-item>
    </el-form>
    <span slot="footer" class="dialog-footer">
      <el-button @click="handleClose">取 消</el-button>
      <el-button type="primary" @click="onSubmit">确 定</el-button>
    </span>
  </el-dialog>
</template>

<script >
export default {
  name: 'addUser',
  components: {
  },
  data() {
    return {
      dialogVisible: false,
      dialogStatus: '',
      rules: {
        name: [{ required: true, message: '身份证号', trigger: 'blur' }],
      },
      dataForm: {}
    }
  },
  created() {

  },
  methods: {
    openDialog (type, data) {
      this.resetDataForm();
      this.dialogVisible = true;
      this.dialogStatus = type;
      this.$nextTick(() => {
        this.$refs['dataForm'].clearValidate()
      })
    },
    handleClose() {
      this.dialogVisible = false;
      this.$emit("getList");
    },
    onSubmit() {
      this.$emit("getList");
      this.dialogVisible = false;
    },
    resetDataForm() {
      this.dataForm = {
      }
    },
  }
}

</script>
<style scoped>

</style>
